﻿@model IEnumerable<HomeRemediesOnlineWebApp.Supplier>

@{
    ViewBag.Title = "Index";
    Layout = "~/Areas/Admin/Views/Shared/_Layout.cshtml";
}

<h2>Suppliers</h2>

<p>
    @Html.ActionLink("Create New Suppliers", "Create")
</p>
@if (Model.Count() == 0)
{
    <br />
    <div id="EmptyDataMsg" class="alert alert-info">
        <strong>Welcome!</strong> Our shop is currently empty.
    </div>
}
else
{
    <table class="table">
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.SName)
            </th>
            <th>
                Address
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Phone)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Email)
            </th>
            <th></th>
        </tr>

    @foreach (var item in Model)
    {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.SName)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Address1)
                @Html.DisplayFor(modelItem => item.Address2)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Phone)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Email)
            </td>
            <td>
                @Html.ActionLink("Edit", "Edit", new { id = item.SID }) |
                @Html.ActionLink("Details", "Details", new { id = item.SID }) |
                @Html.ActionLink("Delete", "Delete", new { id = item.SID })
            </td>
        </tr>
    }

    </table>
}
